SoInt32Element Class Reference

| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
SoInt32Element Class Reference
Element Classes

The SoInt32Element class is the base class for elements that simply store a 32-bit integer.This is the superclass of elements where the new element data replaces the old data, and where the data the element stores is a simple 32-bit integer value. More...

`#include <Inventor/elements/SoInt32Element.h>`

Inheritance diagram for SoInt32Element:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
virtual void | setElt (int32_t value)
| FIXME: write doc.
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
| FIXME: write doc.
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Attributes
int32_t | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth

## Additional Inherited Members
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoInt32Element class is the base class for elements that simply store a 32-bit integer.

This is the superclass of elements where the new element data replaces the old data, and where the data the element stores is a simple 32-bit integer value.

This element is like a convenient light-weight version of the SoReplacedElement. It differs from the SoReplacedElement in that the set() and get() methods are already implemented, since it is known that subclasses will still contain just a single 32-bit integer value.

See also
  SoReplacedElement, SoFloatElement, SoAccumulatedElement

## Member Function Documentation

SbBool SoInt32Element::matches | ( | const SoElement * | element | ) | const
| virtual

This function returns `TRUE` is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

SoElement * SoInt32Element::copyMatchInfo | ( | void |  | ) | const
| virtual

This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scenegraph traversal caching operations.

Implements SoElement.

void SoInt32Element::print | ( | FILE * | file | ) | const
| virtual

This function is for printing element information, and is used mostly for debugging purposes.

Reimplemented from SoElement.

void SoInt32Element::set | ( | const int | index,
|  | SoState *const | state,
|  | const int32_t | value
| ) |  |
| static

FIXME: write doc.

## Member Data Documentation

SoInt32Element::data
| protected

The 32-bit integer value of the element.

The documentation for this class was generated from the following files:

- SoInt32Element.h
- SoInt32Element.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.